package ink.wgink.code.factory.vos;

import lombok.Data;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: GenerateVO
 * @Description: 生成VO
 * @Author: WangGeng
 * @Date: 2021/3/8 19:54
 * @Version: 1.0
 **/
@Data
public class GenerateVO {

    private Boolean hasApi;
    private Boolean hasApp;
    private Boolean hasResource;
    private Boolean hasIService;
    private Boolean hasServiceImpl;
    private Boolean hasIDao;
    private Boolean hasMySQL;
    private Boolean hasHtml;
    private Boolean hasThymeleaf;
    private Boolean hasRoute;
    private String tablePrefix;
    private String context;
    private String codePackage;

}
