package ${codePackage}.controller.route.${lowerTableName};

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import ${codePackage}.service.${lowerTableName}.I${firstUpperTableName}Service;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: ${firstUpperTableName}Controller
 * @Description: ${tableExplain}
 * @Author: ${author}
 * @Date: ${date}
 * @Version: ${version}
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "${tableExplain}路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/${lowerTableName}")
public class ${firstUpperTableName}RouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("${lowerTableName}/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("${lowerTableName}/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("${lowerTableName}/list");
    }

}