package ${codePackage}.pojo.dtos.${lowerTableName};

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ${firstUpperTableName}DTO
 * @Description: ${tableExplain}
 * @Author: ${author}
 * @Date: ${date}
 * @Version: ${version}
 **/
@ApiModel
public class ${firstUpperTableName}DTO {

<#list fieldList! as field>
    <#if field.listShow>
        <#if field.formFieldValue == "number">
    @ApiModelProperty(name = "${field.propertyName}", value = "${field.columnComment}")
    private Integer ${field.propertyName};
        <#elseif field.formFieldValue == "double">
    @ApiModelProperty(name = "${field.propertyName}", value = "${field.columnComment}")
    private Double ${field.propertyName};
        <#elseif field.formFieldValue == "radio" || field.formFieldValue == "checkbox" || field.formFieldValue == "select">
    @ApiModelProperty(name = "${field.propertyName}", value = "${field.columnComment}")
    private String ${field.propertyName};
        <#else>
    @ApiModelProperty(name = "${field.propertyName}", value = "${field.columnComment}")
    private String ${field.propertyName};
        </#if>
    </#if>
</#list>

<#list fieldList! as field>
    <#if field.listShow>
        <#if field.formFieldValue == "number">
    public Integer get${field.firstUpperPropertyName}() {
        return ${field.propertyName} == null ? 0 : ${field.propertyName};
    }

    public void set${field.firstUpperPropertyName}(Integer ${field.propertyName}) {
        this.${field.propertyName} = ${field.propertyName};
    }

        <#elseif field.formFieldValue == "double">
    public Double get${field.firstUpperPropertyName}() {
        return ${field.propertyName} == null ? 0D : ${field.propertyName};
    }

    public void set${field.firstUpperPropertyName}(Double ${field.propertyName}) {
        this.${field.propertyName} = ${field.propertyName};
    }

        <#elseif field.formFieldValue == "radio" || field.formFieldValue == "checkbox" || field.formFieldValue == "select">
    public String get${field.firstUpperPropertyName}() {
        return ${field.propertyName} == null ? "" : ${field.propertyName}.trim();
    }

    public void set${field.firstUpperPropertyName}(String ${field.propertyName}) {
        this.${field.propertyName} = ${field.propertyName};
    }

        <#else>
    public String get${field.firstUpperPropertyName}() {
        return ${field.propertyName} == null ? "" : ${field.propertyName}.trim();
    }

    public void set${field.firstUpperPropertyName}(String ${field.propertyName}) {
        this.${field.propertyName} = ${field.propertyName};
    }

        </#if>
    </#if>
</#list>

}
