package ink.wgink.code.factory;

import ink.wgink.code.factory.controller.LoginController;
import javafx.application.Application;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: StartUp
 * @Description: 启动
 * @Author: WangGeng
 * @Date: 2021/3/2 12:54
 * @Version: 1.0
 **/
public class StartUp extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource("/route/login.fxml"));
        primaryStage.setScene(new Scene(fxmlLoader.load()));
        LoginController loginController = fxmlLoader.getController();
        loginController.setPrimaryStage(primaryStage);
        primaryStage.show();
    }

    public static void main(String[] args) {
        launch(args);
    }
}
