package ${codePackage}.dao.${lowerTableName};

import ink.wgink.exceptions.RemoveException;
import ink.wgink.exceptions.SaveException;
import ink.wgink.exceptions.SearchException;
import ink.wgink.exceptions.UpdateException;
import ${codePackage}.pojo.bos.${lowerTableName}.${firstUpperTableName}BO;
import ${codePackage}.pojo.pos.${lowerTableName}.${firstUpperTableName}PO;
import ${codePackage}.pojo.dtos.${lowerTableName}.${firstUpperTableName}DTO;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: I${firstUpperTableName}Dao
 * @Description: ${tableExplain}
 * @Author: ${author}
 * @Date: ${date}
 * @Version: ${version}
 **/
@Repository
public interface I${firstUpperTableName}Dao {

    /**
     * 新增${tableExplain}
     *
     * @param params
     * @throws SaveException
     */
    void save(Map<String, Object> params) throws SaveException;

    /**
     * 删除${tableExplain}
     *
     * @param params
     * @throws RemoveException
     */
    void remove(Map<String, Object> params) throws RemoveException;

    /**
     * 删除${tableExplain}（物理）
     *
     * @param params
     * @throws RemoveException
     */
    void delete(Map<String, Object> params) throws RemoveException;

    /**
     * 修改${tableExplain}
     *
     * @param params
     * @throws UpdateException
     */
    void update(Map<String, Object> params) throws UpdateException;

    /**
     * ${tableExplain}详情
     *
     * @param params
     * @return
     * @throws SearchException
     */
    ${firstUpperTableName}DTO get(Map<String, Object> params) throws SearchException;

    /**
     * ${tableExplain}详情
     *
     * @param params
     * @return
     * @throws SearchException
     */
    ${firstUpperTableName}BO getBO(Map<String, Object> params) throws SearchException;

    /**
     * ${tableExplain}详情
     *
     * @param params
     * @return
     * @throws SearchException
     */
    ${firstUpperTableName}PO getPO(Map<String, Object> params) throws SearchException;

    /**
     * ${tableExplain}列表
     *
     * @param params
     * @return
     * @throws SearchException
     */
    List<${firstUpperTableName}DTO> list(Map<String, Object> params) throws SearchException;

    /**
     * ${tableExplain}列表
     *
     * @param params
     * @return
     * @throws SearchException
     */
    List<${firstUpperTableName}BO> listBO(Map<String, Object> params) throws SearchException;

    /**
     * ${tableExplain}列表
     *
     * @param params
     * @return
     * @throws SearchException
     */
    List<${firstUpperTableName}PO> listPO(Map<String, Object> params) throws SearchException;

    /**
     * ${tableExplain}统计
     *
     * @param params
     * @return
     * @throws SearchException
     */
    Integer count(Map<String, Object> params) throws SearchException;

}