package ${codePackage}.pojo.bos.${lowerTableName};

/**
 *
 * @ClassName: ${firstUpperTableName}BO
 * @Description: ${tableExplain}
 * @Author: ${author}
 * @Date: ${date}
 * @Version: ${version}
 **/
public class ${firstUpperTableName}BO {

<#list fieldList! as field>
    <#if field.formFieldValue == "number">
    private Integer ${field.propertyName};
    <#elseif field.formFieldValue == "double">
    private Double ${field.propertyName};
    <#elseif field.formFieldValue == "date">
    private String ${field.propertyName};
    <#elseif field.formFieldValue == "datetime">
    private String ${field.propertyName};
    <#else>
    private String ${field.propertyName};
    </#if>
</#list>

<#list fieldList! as field>
    <#if field.formFieldValue == "number">
    public Integer get${field.firstUpperPropertyName}() {
        return ${field.propertyName} == null ? 0 : ${field.propertyName};
    }

    public void set${field.firstUpperPropertyName}(Integer ${field.propertyName}) {
        this.${field.propertyName} = ${field.propertyName};
    }

    <#elseif field.formFieldValue == "double">
    public Double get${field.firstUpperPropertyName}() {
        return ${field.propertyName} == null ? 0D : ${field.propertyName};
    }

    public void set${field.firstUpperPropertyName}(Double ${field.propertyName}) {
        this.${field.propertyName} = ${field.propertyName};
    }

    <#elseif field.formFieldValue == "date" || field.formFieldValue == "datetime">
    public String get${field.firstUpperPropertyName}() {
        return ${field.propertyName} == null ? "" : ${field.propertyName}.trim();
    }

    public void set${field.firstUpperPropertyName}(String ${field.propertyName}) {
        this.${field.propertyName} = ${field.propertyName};
    }

    <#else>
    public String get${field.firstUpperPropertyName}() {
        return ${field.propertyName} == null ? "" : ${field.propertyName}.trim();
    }

    public void set${field.firstUpperPropertyName}(String ${field.propertyName}) {
        this.${field.propertyName} = ${field.propertyName};
    }

    </#if>
</#list>

}
