package ${codePackage}.service.${lowerTableName};

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;
import ${codePackage}.pojo.dtos.${lowerTableName}.${firstUpperTableName}DTO;
import ${codePackage}.pojo.vos.${lowerTableName}.${firstUpperTableName}VO;
import ${codePackage}.pojo.bos.${lowerTableName}.${firstUpperTableName}BO;
import ${codePackage}.pojo.pos.${lowerTableName}.${firstUpperTableName}PO;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: I${firstUpperTableName}Service
 * @Description: ${tableExplain}
 * @Author: ${author}
 * @Date: ${date}
 * @Version: ${version}
 **/
public interface I${firstUpperTableName}Service {

    /**
     * 新增${tableExplain}
     *
     * @param ${firstLowerTableName}VO
     * @return
     */
    void save(${firstUpperTableName}VO ${firstLowerTableName}VO);

    /**
     * 新增${tableExplain}
     *
     * @param token
     * @param ${firstLowerTableName}VO
     * @return
     */
    void save(String token, ${firstUpperTableName}VO ${firstLowerTableName}VO);

    /**
     * 新增${tableExplain}
     *
     * @param ${firstLowerTableName}VO
     * @return ${firstLowerTableName}Id
     */
    String saveReturnId(${firstUpperTableName}VO ${firstLowerTableName}VO);

    /**
     * 新增${tableExplain}
     *
     * @param token
     * @param ${firstLowerTableName}VO
     * @return ${firstLowerTableName}Id
     */
    String saveReturnId(String token, ${firstUpperTableName}VO ${firstLowerTableName}VO);

    /**
     * 删除${tableExplain}
     *
     * @param ids id列表
     * @return
     */
    void remove(List<String> ids);


    /**
     * 删除${tableExplain}
     *
     * @param token
     * @param ids id列表
     * @return
     */
    void remove(String token, List<String> ids);

    /**
     * 删除${tableExplain}（物理删除）
     *
     * @param ids id列表
     */
    void delete(List<String> ids);

    /**
     * 修改${tableExplain}
     *
     * @param ${firstLowerTableName}Id
     * @param ${firstLowerTableName}VO
     * @return
     */
    void update(String ${firstLowerTableName}Id, ${firstUpperTableName}VO ${firstLowerTableName}VO);

    /**
     * 修改${tableExplain}
     *
     * @param token
     * @param ${firstLowerTableName}Id
     * @param ${firstLowerTableName}VO
     * @return
     */
    void update(String token, String ${firstLowerTableName}Id, ${firstUpperTableName}VO ${firstLowerTableName}VO);

    /**
     * ${tableExplain}详情
     *
     * @param params 参数Map
     * @return
     */
    ${firstUpperTableName}DTO get(Map<String, Object> params);

    /**
     * ${tableExplain}详情
     *
     * @param ${firstLowerTableName}Id
     * @return
     */
    ${firstUpperTableName}DTO get(String ${firstLowerTableName}Id);

    /**
     * ${tableExplain}详情
     *
     * @param params 参数Map
     * @return
     */
    ${firstUpperTableName}BO getBO(Map<String, Object> params);

    /**
     * ${tableExplain}详情
     *
     * @param ${firstLowerTableName}Id
     * @return
     */
    ${firstUpperTableName}BO getBO(String ${firstLowerTableName}Id);

    /**
     * ${tableExplain}详情
     *
     * @param params 参数Map
     * @return
     */
    ${firstUpperTableName}PO getPO(Map<String, Object> params);

    /**
     * ${tableExplain}详情
     *
     * @param ${firstLowerTableName}Id
     * @return
     */
    ${firstUpperTableName}PO getPO(String ${firstLowerTableName}Id);

    /**
     * ${tableExplain}列表
     *
     * @param params
     * @return
     */
    List<${firstUpperTableName}DTO> list(Map<String, Object> params);

    /**
     * ${tableExplain}列表
     *
     * @param params
     * @return
     */
    List<${firstUpperTableName}BO> listBO(Map<String, Object> params);

    /**
     * ${tableExplain}列表
     *
     * @param params
     * @return
     */
    List<${firstUpperTableName}PO> listPO(Map<String, Object> params);

    /**
     * ${tableExplain}分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<${firstUpperTableName}DTO>> listPage(ListPage page);

    /**
     * ${tableExplain}统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}